# CUPTI::PcSamplingUtil::CUptiUtil_GetBufferInfoParams Struct Reference
[CUPTI PC Sampling Utility API]

Params for CuptiUtilGetBufferInfo.

## Data Fields
BufferInfo | bufferInfoData
std::ifstream * | fileHandler
size_t | size

## Field Documentation

BufferInfo CUPTI::PcSamplingUtil::CUptiUtil_GetBufferInfoParams::bufferInfoData

Buffer Info.

std::ifstream* CUPTI::PcSamplingUtil::CUptiUtil_GetBufferInfoParams::fileHandler

File handle.

size_t CUPTI::PcSamplingUtil::CUptiUtil_GetBufferInfoParams::size

Size of the data structure i.e. CUpti_PCSamplingDisableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.